Opened 7 months ago

Closed 6 months ago

#13147 closed defect (invalid)

ASYLUM: Can't trigger Easter Egg on 2nd Chapter

Reported by: TaxAkla Owned by: digitall
Priority: normal Component: Engine: Asylum
Version: Keywords: Easter Egg
Cc: Game: Sanitarium

Description (last modified by TaxAkla)

The correct way to trigger the Easter Egg is to enter the fish house and click on the angel statue's lower left wing. Max will transform into a crow, which will allow you to fly around the map, and get to that spot.

https://youtu.be/1hBTXKP8iT8

Tested with ScummVM daily 08/12/2021
Game Version: GOG English
OS: Linux Mint 20.2
Added a save inside the Fish House.

If you click on the statue, Max moves over the rug, says the first phrase but ScummVM don't trigger the transformation.

Attachments (1)

asylum.024 (69.8 KB ) - added by TaxAkla 7 months ago.

Download all attachments as: .zip

Change History (8)

by TaxAkla, 7 months ago

Attachment: asylum.024 added

comment:1 by TaxAkla, 7 months ago

Description: modified (diff)

comment:2 by digitall, 6 months ago

Just tried replicating from a new game with ScummVM 2.6.0git1961-g71f8e1227f4-dirty (Dec 12 2021 16:45:56) on Linux x86_64.

I get a warning about Achievements, but otherwise I can not replicate this bug. The easter egg works fine, but I do have the CD version of Sanitarium with the patch applied.

Log output is:

User picked target 'asylum-win' (engine ID 'asylum', game ID 'asylum')...

Looking for a plugin supporting this target... Sanitarium

Running Sanitarium (CD Patched/Windows/English)
SNTRM.DAT: 7cfcc457c1f579fbf9878ac175d29374, 8930 bytes.
RES.000: 4d13f1412f9e7dd3eaf0a58f0e00e662, 272057 bytes.
SCN.006: 3a5b54da08198012dc0614114782d5fb, 2918330 bytes.
WARNING: AchievementsManager::setAchievement('ASYLUM_LEVEL_1'): AchMan not ready, did you forget to call setActiveDomain()?!

Would probably need to get the GOG version datafiles to see what has happened here i.e. they may not have applied the patch or this is the DOS version?

comment:3 by digitall, 6 months ago

I did try loading from the savegame and I could then replicate the issue, so the game state might be bugged loading from that.

comment:4 by digitall, 6 months ago

Hmm, the GOG version of the datafiles have some changes / patches when compared to the patched CD version:
diff -r datafiles gog-datafiles
Binary files datafiles/RES.000 and gog-datafiles/RES.000 differ
Only in gog-datafiles: RES.002
Binary files datafiles/RES.104 and gog-datafiles/RES.104 differ
Binary files datafiles/RES.204 and gog-datafiles/RES.204 differ
Binary files datafiles/RES.304 and gog-datafiles/RES.304 differ
Only in gog-datafiles: res.002

Looks like 4 patched resource files and the addition of one other one RES.002 in two different versions..

It may be that this change has broken the easter egg scripts and maybe more.

comment:5 by digitall, 6 months ago

Just tried replicating using the GOG datafiles from a new game with ScummVM 2.6.0git2141-gb97ce282041-dirty (Dec 25 2021 11:03:29) on Linux x86_64.

Running Sanitarium (GOG.com/Windows/English)
SNTRM.DAT: 7cfcc457c1f579fbf9878ac175d29374, 8930 bytes.
RES.000: f58f8dc3e63663f174977d359e11132c, 272057 bytes.
SCN.006: 3a5b54da08198012dc0614114782d5fb, 2918330 bytes.
MOV000.SMK: e1b671528221967b44861d9e66cfefa1, 12321560 bytes.
WARNING: FSDirectory::cacheDirectory: name clash when building cache, ignoring file 'RES.002'!

I can not replicate the bug. You can trigger the easter egg with no issues.

TaxAkla: Not sure how you game state got corrupted, but try from a new game?

in reply to:  5 comment:6 by alxpnv, 6 months ago

Replying to digitall:

Just tried replicating using the GOG datafiles from a new game with ScummVM 2.6.0git2141-gb97ce282041-dirty (Dec 25 2021 11:03:29) on Linux x86_64.

Running Sanitarium (GOG.com/Windows/English)
SNTRM.DAT: 7cfcc457c1f579fbf9878ac175d29374, 8930 bytes.
RES.000: f58f8dc3e63663f174977d359e11132c, 272057 bytes.
SCN.006: 3a5b54da08198012dc0614114782d5fb, 2918330 bytes.
MOV000.SMK: e1b671528221967b44861d9e66cfefa1, 12321560 bytes.
WARNING: FSDirectory::cacheDirectory: name clash when building cache, ignoring file 'RES.002'!

I can not replicate the bug. You can trigger the easter egg with no issues.

TaxAkla: Not sure how you game state got corrupted, but try from a new game?

I've checked the original game and it seems that the easter egg can't be triggered after Max has killed all the crows, which is reasonable

comment:7 by digitall, 6 months ago

Owner: set to digitall
Resolution: invalid
Status: newclosed

TaxAkla: I have just checked the savegame you provided and all the crows have been killed as per alxpnv's note, hence why the easter egg is not available.

Closing this as invalid.

Note: See TracTickets for help on using tickets.